#include <math.h>
#include <stdlib.h>

inline float dtor(float x) {
    return x * M_PI / 180;
}

inline float rtod(float x) {
    return x * 180 / M_PI;
}

inline float rnd(float x) {
    return x * rand() / ((float)RAND_MAX + 1);
}

inline int rnd(int x) {
    return rnd((float)x);
}

inline float length2(float x, float y) {
    return x*x+y*y;
}

inline float length(float x, float y) {
    return sqrt(length2(x, y));
}

inline float distance2(float x1, float y1, float x2, float y2) {
    return length2(x2-x1, y2-y1);
}

inline float distance(float x1, float y1, float x2, float y2) {
    return sqrt(distance2(x1, y1, x2, y2));
}

inline int length2(int x, int y) {
    return x*x+y*y;
}

inline int distance2(int x1, int y1, int x2, int y2) {
    return length2(x2-x1, y2-y1);
}

inline float normalizeDir(float r) {
    while (r > M_PI) r -= 2*M_PI;
    while (r < -M_PI) r += 2*M_PI;
    return r;
}

inline float diffDir(float tr, float sr) {
    float r = tr - sr;
    return normalizeDir(r);
}

inline float absDiffDir(float tr, float sr) {
    float r = diffDir(tr, sr);
    return r > 0 ? r : -r;
}

